Subject: Re: bug#18631: [PATCH] dfa: return NULL as can't find any predicates

From: Jim Meyering <[email-masked]>
Date: Sat, 25 Apr 2015 12:48:46 -0700

On Sun, Dec 7, 2014 at 6:06 AM, Norihiro Tanaka <[email-masked]> wrote:
> On Sun, 05 Oct 2014 12:33:45 +0900
> Norihiro Tanaka <[email-masked]> wrote:
>
>> find_pred function is return an address to NULL pointer, but I think we
>> don't hope it.  So fix it.
>>
>> BTW, it could never happen, as the syntax is checked in regex prior to it.
>
> I wrote and added a test driver for this bug which uses a program
> `dfa-match-aux' added for tests recently.
>
> The program will generate a core dump before the change.

Thank you for the patch.
I have added to the commit log and adjusted the Makefile.am change
to insert the new test name in alphabetical order. I will push this shortly: